import Vue from "vue";
import Router from "vue-router";

Vue.use(Router);

import Layout from "@/layout";

export const constantRoutes = [
  {
    path: "/login",
    component: () => import("@/views/login/index"),
    hidden: true
  },
  {
    path: "/404",
    component: () => import("@/views/404"),
    hidden: true
  },
  {
    path: "/",
    component: Layout,
    redirect: "/index",
    name: "index",
    hidden: true,
    meta: {
      title: "首页"
    },
    children: [
      {
        path: "index",
        component: () => import("@/views/oral-video/index.vue")
      }
    ]
  },
];
// import userAuthRouter from "./modules/userAuth";
import oralVideoRouter from "./modules/oralVideo";
import videoCoverManagerRouter from "./modules/videoCoverManager";
import musicLibraryManager from "./modules/musicLibraryManager";
import catwalkVideoRouter from "./modules/catwalkVideo";
import faceSwapVideoRouter from "./modules/faceSwapVideo";
export const asyncRoutes = [
  oralVideoRouter,
  catwalkVideoRouter,
  faceSwapVideoRouter,
  videoCoverManagerRouter,
  musicLibraryManager
  // userAuthRouter,
];


const createRouter = () =>
  new Router({
    // mode: 'history', // require service support
    scrollBehavior: () => ({
      y: 0
    }),
    routes: constantRoutes
  });

const router = createRouter();
export function resetRouter() {
  const newRouter = createRouter();
  router.matcher = newRouter.matcher; // reset router
}

export default router;
