/** When your routing table is too long, you can split it into small modules **/

import Layout from "@/layout";

const musicLibraryManagerRouter = {
  path: "/musicLibraryManager",
  component: Layout,
  redirect: "/musicLibraryManager/musicLibraryIndex",
  name: "音乐库管理",
  meta: { title: "音乐库管理", icon: "el-icon-s-claim" },
  children: [
    {
      path: "musicCategoryIndex",
      component: () => import("@/views/music-library-manager/index"),
      name: "musicCategoryIndex",
      meta: { title: "音乐类目列表" }
    },
    {
      path: "musicLibrary",
      component: () => import("@/views/music-library-manager/musicLibrary"),
      name: "musicLibrary",
      meta: { title: "音乐库列表" }
    }
  ]
};
export default musicLibraryManagerRouter;
