/** When your routing table is too long, you can split it into small modules **/

import Layout from "@/layout";

const userAuthRouter = {
  path: "/auth",
  component: Layout,
  redirect: "/auth/user",
  name: "permissions",
  meta: { title: "权限管理", icon: "el-icon-user-solid" },
  children: [
    {
      path: "user",
      component: () => import("@/views/auth/user/index"),
      name: "userIndex",
      meta: { title: "用户列表", icon: "" }
    },
    {
      path: "changePassword",
      component: () => import("@/views/auth/user/changePassword"),
      name: "changePassword",
      meta: { title: "修改密码", icon: "" }
    },
    {
      path: "orgGroup",
      component: () => import("@/views/auth/org/orgGroupIndex"),
      name: "orgGroupIndex",
      meta: { title: "组织角色" }
    },
    {
      path: "org",
      component: () => import("@/views/auth/org/orgIndex"),
      name: "orgIndex",
      meta: { title: "组织管理" }
    },
    {
      path: "position",
      component: () => import("@/views/auth/position/index"),
      name: "positionIndex",
      meta: { title: "职位管理" }
    },
    {
      path: "role",
      component: () => import("@/views/auth/role/roleIndex"),
      name: "roleIndex",
      meta: { title: "角色管理" }
    },
    {
      path: "res",
      component: () => import("@/views/auth/res/resIndex"),
      name: "resIndex",
      meta: { title: "资源管理" }
    }
  ]
};
export default userAuthRouter;
